import '@mdi/font/scss/materialdesignicons.scss'
import './styles/all.scss'
import Input from './plugins/input'
import Autocomplete from './plugins/autocomplete'
import { use, registerComponentProgrammatic } from './utils/plugins'

const components = [
  Input,
  Autocomplete
]

const VueAutocompleteCodica = {
  install (Vue, options = {}) {
    for (let componentKey in components) {
      Vue.use(components[componentKey])
    }
    registerComponentProgrammatic(Vue, '$vui')
  }
}

use(VueAutocompleteCodica)
export default VueAutocompleteCodica
